package com.railway.business.catenary.service;

import com.railway.business.catenary.domain.BusJlgz;
import com.railway.business.catenary.domain.vo.BusJlgzListByZzVo;
import com.railway.business.catenary.domain.vo.BusJlgzQueryVo;

import java.util.List;
/**
* 接触网-记录故障
* @author author
* @date 2021/10/16
*/
public interface IBusJlgzService {

    /**
    * 新增
    */
    int create(BusJlgz busJlgz);

    /**
    * 删除
    */
    int delete(Long[] ids);

    /**
    * 更新
    */
    int update(BusJlgz busJlgz);

    /**
    * 获取单个
    */
    BusJlgz getInfo(Long id, Long lineId);

    /**
    * 查询列表
    */
    List<BusJlgz> getList(BusJlgz busJlgz);

    /**
     * 智能查询-历史故障统计
     * @param busJlgzQueryVo
     * @return
     */
    List<BusJlgzListByZzVo> getListByZz(BusJlgzQueryVo busJlgzQueryVo);

}
